Subject: [Sip] Presence of two Via headers in a response

From: PROUVOST Sébastien FTRD/DAC/ISS <[email-masked]>
Date: Fri, 9 Apr 2004 11:02:10 +0200

Hi all,

In RFC 3261, it is written (section 8.1.3.3 for UAC Core procedures) : "If more than one Via header field value is present in a response, the UAC SHOULD discard the message."

However if the UAC Core layer discards the response and if this response was the only one sent (for example a 200 OK to an UPDATE), then this leads to a situation when the transaction is terminated (the transaction layer received the response and passed it to the UA Core) but the UA Core is still waiting for a response (it discarded the 200 OK because of the presence of two Via header field values and so is still waiting for the response).

What are the procedures that tells the UAC when to stop waiting for the response ? Should there be a Timer (not described in RFC 3261) that tells the UAC when to CANCEL a request when no response is received ?

Additionally, what shall be the procedures when receiving more than one To, From, CSeq, Call-ID or Max-Forward header field values?

Thanks for your clarifications,

Sébastien Prouvost
France Télécom R&D